Package org.lwjgl.opengl

# Class ATIVertexArrayObject

java.lang.Object
org.lwjgl.opengl.ATIVertexArrayObject

public final class ATIVertexArrayObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ARRAY_OBJECT_BUFFER_ATI`
`static final int`
`GL_ARRAY_OBJECT_OFFSET_ATI`
`static final int`
`GL_DISCARD_ATI`
`static final int`
`GL_DYNAMIC_ATI`
`static final int`
`GL_OBJECT_BUFFER_SIZE_ATI`
`static final int`
`GL_OBJECT_BUFFER_USAGE_ATI`
`static final int`
`GL_PRESERVE_ATI`
`static final int`
`GL_STATIC_ATI`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glArrayObjectATI(int array, int size, int type, int stride, int buffer, int offset)`
`static void`
`glFreeObjectBufferATI(int buffer)`
`static void`
`glGetArrayObjectATI(int array, int pname, FloatBuffer params)`
`static void`
`glGetArrayObjectATI(int array, int pname, IntBuffer params)`
`static void`
`glGetObjectBufferATI(int buffer, int pname, FloatBuffer params)`
`static void`
`glGetObjectBufferATI(int buffer, int pname, IntBuffer params)`
`static int`
`glGetObjectBufferiATI(int buffer, int pname)`
Overloads glGetObjectBufferivATI.
`static void`
`glGetVariantArrayObjectATI(int id, int pname, FloatBuffer params)`
`static void`
`glGetVariantArrayObjectATI(int id, int pname, IntBuffer params)`
`static boolean`
`glIsObjectBufferATI(int buffer)`
`static int`
`glNewObjectBufferATI(int pPointer_size, int usage)`
`static int`
`glNewObjectBufferATI(ByteBuffer pPointer, int usage)`
`static int`
`glNewObjectBufferATI(DoubleBuffer pPointer, int usage)`
`static int`
`glNewObjectBufferATI(FloatBuffer pPointer, int usage)`
`static int`
`glNewObjectBufferATI(IntBuffer pPointer, int usage)`
`static int`
`glNewObjectBufferATI(ShortBuffer pPointer, int usage)`
`static void`
`glUpdateObjectBufferATI(int buffer, int offset, ByteBuffer pPointer, int preserve)`
`static void`
`glUpdateObjectBufferATI(int buffer, int offset, DoubleBuffer pPointer, int preserve)`
`static void`
`glUpdateObjectBufferATI(int buffer, int offset, FloatBuffer pPointer, int preserve)`
`static void`
`glUpdateObjectBufferATI(int buffer, int offset, IntBuffer pPointer, int preserve)`
`static void`
`glUpdateObjectBufferATI(int buffer, int offset, ShortBuffer pPointer, int preserve)`
`static void`
`glVariantArrayObjectATI(int id, int type, int stride, int buffer, int offset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_STATIC_ATI

public static final int GL_STATIC_ATI

See Also:
  - Constant Field Values

### GL_DYNAMIC_ATI

public static final int GL_DYNAMIC_ATI

See Also:
  - Constant Field Values

### GL_PRESERVE_ATI

public static final int GL_PRESERVE_ATI

See Also:
  - Constant Field Values

### GL_DISCARD_ATI

public static final int GL_DISCARD_ATI

See Also:
  - Constant Field Values

### GL_OBJECT_BUFFER_SIZE_ATI

public static final int GL_OBJECT_BUFFER_SIZE_ATI

See Also:
  - Constant Field Values

### GL_OBJECT_BUFFER_USAGE_ATI

public static final int GL_OBJECT_BUFFER_USAGE_ATI

See Also:
  - Constant Field Values

### GL_ARRAY_OBJECT_BUFFER_ATI

public static final int GL_ARRAY_OBJECT_BUFFER_ATI

See Also:
  - Constant Field Values

### GL_ARRAY_OBJECT_OFFSET_ATI

public static final int GL_ARRAY_OBJECT_OFFSET_ATI

See Also:
  - Constant Field Values

## Method Details

### glNewObjectBufferATI

public static int glNewObjectBufferATI(int pPointer_size, int usage)

### glNewObjectBufferATI

public static int glNewObjectBufferATI(ByteBuffer pPointer, int usage)

### glNewObjectBufferATI

public static int glNewObjectBufferATI(DoubleBuffer pPointer, int usage)

### glNewObjectBufferATI

public static int glNewObjectBufferATI(FloatBuffer pPointer, int usage)

### glNewObjectBufferATI

public static int glNewObjectBufferATI(IntBuffer pPointer, int usage)

### glNewObjectBufferATI

public static int glNewObjectBufferATI(ShortBuffer pPointer, int usage)

### glIsObjectBufferATI

public static boolean glIsObjectBufferATI(int buffer)

### glUpdateObjectBufferATI

public static void glUpdateObjectBufferATI(int buffer, int offset, ByteBuffer pPointer, int preserve)

### glUpdateObjectBufferATI

public static void glUpdateObjectBufferATI(int buffer, int offset, DoubleBuffer pPointer, int preserve)

### glUpdateObjectBufferATI

public static void glUpdateObjectBufferATI(int buffer, int offset, FloatBuffer pPointer, int preserve)

### glUpdateObjectBufferATI

public static void glUpdateObjectBufferATI(int buffer, int offset, IntBuffer pPointer, int preserve)

### glUpdateObjectBufferATI

public static void glUpdateObjectBufferATI(int buffer, int offset, ShortBuffer pPointer, int preserve)

### glGetObjectBufferATI

public static void glGetObjectBufferATI(int buffer, int pname, FloatBuffer params)

### glGetObjectBufferATI

public static void glGetObjectBufferATI(int buffer, int pname, IntBuffer params)

### glGetObjectBufferiATI

public static int glGetObjectBufferiATI(int buffer, int pname)
Overloads glGetObjectBufferivATI.

### glFreeObjectBufferATI

public static void glFreeObjectBufferATI(int buffer)

### glArrayObjectATI

public static void glArrayObjectATI(int array, int size, int type, int stride, int buffer, int offset)

### glGetArrayObjectATI

public static void glGetArrayObjectATI(int array, int pname, FloatBuffer params)

### glGetArrayObjectATI

public static void glGetArrayObjectATI(int array, int pname, IntBuffer params)

### glVariantArrayObjectATI

public static void glVariantArrayObjectATI(int id, int type, int stride, int buffer, int offset)

### glGetVariantArrayObjectATI

public static void glGetVariantArrayObjectATI(int id, int pname, FloatBuffer params)

### glGetVariantArrayObjectATI

public static void glGetVariantArrayObjectATI(int id, int pname, IntBuffer params)